# Datatón Ciudad de Madrid 2017

![cartel de Datamad 2017](./img/seo/cartel_concurso_datajourn2017.jpg)


__DataMad 2017__ es un taller tecnológico del laboratorio de datos de Medialab-Prado para el desarrollo de proyectos con los datos abiertos del Ayuntamiento de Madrid como herramienta.

---

# Proyectos seleccionados
---

## La historia de Madrid a través de sus calles

Las calles y plazas son los sitios por los que transitamos, donde está nuestra casa, nuestro trabajo,el lugar al que vamos a comer o nuestro centro de salud. Es decir, los sitios en los que se desarrolla nuestra vida. Y sus nombres no son inocuos.Hay calles con nombres de personas, de lugares, de hechos históricos, de oficios, de animales.

Cuando las instituciones ponen nombre a las calles o plazas de nuestras ciudades hacen mucho más que una acción administrativa de identificación: rinden un homenaje a algo o a alguien. Normalmente, no hacemos demasiado caso a esos nombres y no nos detenemos a observar la importancia que tienen y que definen el carácter de la propia ciudad.

Si observamos un listado con los nombres de las calles y plazas de los 21 distritos de Madrid, nos llamará la atención la diferencia de número entre las dedicadas a hombres y a mujeres. También es importante saber el motivo por el que esas personas fueron merecedoras de una placa con su nombre, si pertenecían a la realeza, a la nobleza, al ejército, a la iglesia o si fueron reconocidas por sus méritos. Además del número de calles otorgadas a hombres y a mujeres, es importante saber dónde se sitúan éstas, en qué distritos y en qué barrios, ya que su relevancia histórica varía. Tampoco es lo mismo ser el nombre de una calle, que de una plaza, o de una avenida, o de las tres a la vez. O si es una vía peatonal o si sólo se pasa por ella en coche.

No solemos conocer la propia historia de la calle, cuándo se le dio su nombre y por qué se eligió ese nombre, si se ha cambiado a lo largo de la Historia, si tiene o no relación con el distrito al que pertenece, si supone un reconocimiento...

El proyecto parte de un archivo .csv con las calles actuales de los 21 distritos de Madrid que puede descargarse del [portal de datos abiertos del ayuntamiento](http://datos.madrid.es/sites/v/index.jsp?vgnextoid=b3c41f3cf6a6c410VgnVCM2000000c205a0aRCRD&vgnextchannel=20d612b9ace9f310VgnVCM100000171f5a0aRCRD).

De manera consensuada, deberíamos poder establecer las diferentes categorías y subcategorías que existen en esas calles: personas (hombres y mujeres), animales, vegetales, lugares, hechos, obras...

__Promotora:__ Patricia Horrillo Guerra

__GIT:__ [https://github.com/medialab-prado/callesdemadrid](https://github.com/medialab-prado/callesdemadrid)

---

## Pure Madrid

Este proyecto consiste en una app que, apoyada en un servidor, permita a los usuarios conocer en cualquier momento el estado de la contaminación de Madrid y de las restricciones de tráfico asociadas.

El enfoque que le hemos dado a esta aplicación está centrado en la información que creemos que más le puede interesar al usuario: la restricción de tráfico que pueda aplicarse cada día, sin tener que estar preocupado por no conocer el estado actual.

La motivación que nos ha llevado a presentar este proyecto fue el caos que se organizó el año pasado al resultar que muchos ciudadanos no tenían disponible la información hasta el momento en el que encendían la radio o veían los letreros en las carreteras. Por esta razón el objetivo de esta aplicación será ayudar a los ciudadanos en la medida de lo posible a conocer los escenarios activados en cada momento.

__Promotor:__ Javier Delgado Aylagas

__GIT:__ [https://github.com/medialab-prado/puremadrid](https://github.com/medialab-prado/puremadrid)

---

## Tripscore

[Tripscore](http://tripscore.eu/) es una aplicación web que permite obtener recomendaciones de rutas en transporte público comparando las preferencias del usuario con datos históricos sobre la calidad del transporte. Esta aplicación se encuentra disponible en [http://tripscore.eu/](http://tripscore.eu/) y fue desarrollada durante el mes de Julio de 2017 en el evento Open Summer of Code en Bruselas (Bélgica) en el contexto del proyecto europeo OASIS.

Actualmente la aplicación contiene los datos de los trenes que circulan por todo Bélgica. Como participantes de OASIS, el Grupo de Ingeniería Ontológica (OEG) de la Universidad Politécnica de Madrid junto con el el Consorcio de Transportes de Madrid (CRTM) han ideado el plan de introducir los datos abiertos de transporte de la ciudad de Madrid para poder ofrecer este servicio a los ciudadanos.

Para ello se tendrán que recolectar y transformar los datos de la Empresa Municipal de Transport de Madrid (EMT) almacenados en el portal de datos abiertos del ayuntamiento de Madrid y los datos del portal de datos abierto del CRTM para que estos puedan ser consultados a través de Tripscore.

Public transport, open linked data, quality of experience, EMT, CRTM.

__Promotor:__ David Chaves Fraga

__GIT:__ [https://github.com/medialab-prado/tripscore](https://github.com/medialab-prado/tripscore)

---

## Madrid On You

Madrid on You es una aplicación (web) que utiliza como base varios conjuntos de datos abiertos del ayuntamiento de Madrid para ofrecer al usuario distintos planes y rutas para realizar en la ciudad de Madrid. Los datasets que se utilizan se encuadran dentro de las categorías de automovilismo, ciclismo, ocio y turismo.

__Automovilismo__

Aparcamientos públicos municipales, zonas del SER, plazas de estacionamiento para personas con movilidad reducida, puntos de recarga de vehículos eléctricos y localización de parquímetros.

__Ciclismo__

Bases de BiciMad y áreas de descanso.

__Ocio__

Agenda de actividades y eventos.

__Turismo__

Embajadas y consulados, oficinas de turismo, bibliotecas y bibliobuses, edificios de carácter monumental, fundaciones, museos, templos e iglesias católicas, templos e iglesias no católicas.

Utilizando todos esos datasets como base se pretenden implementar las siguientes funcionalidades:

1. Rutas por edificios monumentales de Madrid.
Los usuarios podrán crear rutas aleatorias o personalizadas por los distintos edificios de carácter monumental y turístico que hay en Madrid. Se podrán personalizar las rutas en función del año de construcción, el estilo arquitectónico, etc. Además, la ruta podrá establecerse sobre un distrito de Madrid, varios, o todo Madrid.

2. Además de lo anterior, se podrán añadir a las rutas lugares conocidos de la capital para desayunar, comer, cenar Creando así rutas mucho más completas, para lo cuál será necesario disponer de un dataset que agrupe un conjunto considerable de este tipo de establecimientos.
De esta forma, podrán crearse rutas completas para un día entero o parte del día. De nuevo, las rutas podrán establecerse sobre una parte de Madrid o por toda la ciudad.

3. Como complemento a las dos funcionalidades anteriores, la aplicación podrá sugerir aparcamientos cercanos a los lugares pertenecientes a la ruta.

Por tanto, los usuarios podrán saber si hay aparcamientos públicos cerca de los lugares que piensan visitar junto con la localización de sus parquímetros, así como puntos de recarga de vehículos eléctricos o plazas para movilidad reducida. Además, para fomentar el uso de BiciMad, se informará también de las bases existentes que haya cerca de los edificios a los que se va a ir, si es que las hay.

Si bien existen aplicaciones y portales que implementan alguna de las anteriores funcionalidades por separado, no existe aún ningún sistema que lo haga todo a la vez, brindando al usuario una opción sencilla y rápida para planificar su viaje turístico o estancia en Madrid.

__Promotor:__ Jesús Pérez Melero

__GIT:__ [https://github.com/medialab-prado/madridonyou](https://github.com/medialab-prado/madridonyou)

---

## DoctorData: datos abiertos colaborativos usando OpenStreetMap

Uno de los principales problemas a los que se enfrenta un portal de datos abiertos es la cobertura y calidad de los datos que se encuentran en él. Éstos son generados por las propias administraciones públicas con gran esfuerzo y buscando entre la información que han ido almacenado a lo largo de los años en distintos formatos.

Ante estos hechos, nos surge una pregunta: ¿pueden los ciudadanos ayudar a las administraciones en la tarea de recolección de datos?

[OpenStreetMap](http://openstreetmap.org) (OSM) es un mapa colaborativo construido por ciudadanos de todo el mundo y cuyos datos son de uso libre y bajo licencia abierta.

DoctorData pretende mejorar la cantidad y calidad de los datos complementando los conjuntos de datos presentes en el portal con la información disponible disponible en la plataforma OSM. De esta forma se involucrará a la ciudadanía de forma *indirecta* en esta tarea.

Además, como recompensa a la labor de la gente, se pretende integrar algunos datasets del portal de datos abiertos en OSM.

__Promotor:__ Esteban González Guardia

__GIT:__ [https://github.com/medialab-prado/doctordata](https://github.com/medialab-prado/doctordata)

---

## La tecnología Blockchain en la administración pública: Aplicaciones y prueba de concepto

El proyecto *La tecnología Blockchain en la administración pública: Aplicaciones y prueba de concepto* es una iniciativa del Grupo de usuarios de Haskell de Madrid (Haskell Mad). Dentro de sus objetivos está el de profundizar en las tecnologías blockchain y en sus aplicaciones prácticas en los distintos ámbitos sociales y en este caso, dentro de los canales de comunicación ente el Ayuntamiento de Madrid y sus conciudadanos.

Para ello propone hacer uso de uno de la programación funcional, uno de los paradigmas de programación que están cambiando el panorama actual del desarrollo de software. El objetivo es crear un prototipo de aplicación que pueda integrarse como una capa añadida al sistema informático de gestión Linea Madrid, en el ámbito que se determine y sin que afecte al normal funcionamiento del mismo.

Este prototipo añadirá las ventajas que ofrece el uso de los sistemas de bases de datos distribuidas, tecnología conocida como blockchain, entre las que cabe destacar la imposibilidad de modificar los datos una vez incluidos y procesados en la cadena de información, con las ventajas consiguientes en cuanto a transparencia y en su caso, preservación de la intimidad del consultante.

__Promotor:__ Juan Antonio García Lleó

__GIT:__ [https://github.com/medialab-prado/blockchainapp](https://github.com/medialab-prado/blockchainapp)

---

## M30, gestión inteligente del tráfico

Desde hace cierto tiempo la gestión del tráfico en las ciudades se ha convertido en un tema de suma importancia y, a veces, bastante polémico. La necesidad de ofrecer al ciudadano soluciones en esta materia ha venido acompañado de un mayor énfasis en la medición y obtención de datos de tráficoEl concepto de smart city que promueve la sostenibilidad urbana , el diseño de ciudades que sean capaces de mejorar la calidad de vida de su habitantes y de responder a las necesidades de los ciudadanos y las empresas, está en boga.

El presente trabajo toma esas ideas y se enfoca en una ciudad concreta, Madrid, y en una de las más importantes molestias para sus ciudadanos, el tráfico.

Para tratar de dar una solución primero hay que comprender el problema y, gracias a la plataforma de open data del Ayuntamiento de Madrid, disponemos de una ingente cantidad de datos para acotar correctamente la situación.

Para abordar la tarea el estudio se circunscribe a la M30, foco de algunos de los mayores problemas de tráfico de la ciudad.

En las siguientes secciones del trabajo se mostrará cómo obtener y tratar las distintas fuentes de información que existen sobre el tráfico en la ciudad de Madrid.

Se analizarán los datos de forma descriptiva para conocer el estado actual y pasado y, finalmente, se tratará de diseñar modelos predictivos para encontrar patrones y cierta armonía en el aparente caos del tráfico de la capital.

__Promotor:__ Mikel Uranga Barro

__GIT:__ [https://github.com/medialab-prado/m30trafico](https://github.com/medialab-prado/m30trafico)

---

### About

Based en [Project zeppelin](https://github.com/gdg-x/zeppelin)
